Limerence
Datasets

Update Dataset Entry

Update an entry in a dataset

PATCH
/datasets/{datasetId}/entries/{entryId}

Update an entry in a dataset

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

datasetId*string
entryId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/datasets/string/entries/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "actual": null,  "comments": null,  "createdAt": "string",  "datasetId": "string",  "expected": "string",  "id": "string",  "input": "string",  "origin": "MANUAL",  "parentId": null,  "updatedAt": "string"}
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}